GET Get all Webhooks

This API retrieves all webhooks setup in Assessment settings.

Request URL

GET /webhooks

Warning

Make sure to add your API key in Header of the request

Response

{
    "webhook": {
        "start": {
            "status": true,
            "url": "https://example.com/webhook/start"
        },
        "submission": {
            "status": true,
            "url": "https://example.com/webhook/submission"
        },
        "updates": {
            "status": true,
            "url": "https://example.com/webhook/updates"
        },
        "auth": {
            "status": true,
            "type": "basic",
            "basic": {
                "username": "webhook-user",
                "password": null,
                "hasPassword": true
            },
            "apikey": {
                "header": null,
                "apikey": null
            }
        }
    }
}

Note

  • auth.basic.username is always a string (or null). It is never an object.

  • Stored passwords are never returned. When a password exists, password is null and hasPassword is true.